Get hosting informations
GET
https://api.lws.net/v1/
operationIdgetHosting
Get detailed informations about the specified hosting. It must be managed by the user.
Path parameters
-
hostingstring required -
The domain name whose hosting informations you want to retrieve
Responses
200
Hosting informations retrieved successfully
{
"code": 200,
"info": "Retrieved hosting info",
"data": {
"domain": "example.com",
"date_purchase": "2023-01-01",
"date_expiration": "2024-01-01",
"ns1": "ns1.lwsdns.com",
"ns2": "ns2.lwsdns.com",
"ns3": "ns3.lwsdns.com",
"ns4": "ns4.lwsdns.com",
"owner": 547645,
"package": "LWS Perso",
"lws_domain": true,
"autorenew": {
"payment": "aucun",
"account": ""
}
}
}
Response fields 16
-
codeinteger -
infostring -
dataobject -
domainanyName of the domain
-
date_purchaseanyPurchase date of the hosting
-
date_expirationanyExpiration date of the hosting
-
ns1anyFirst nameserver
-
ns2anySecond nameserver
-
ns3anyThird nameserver
-
ns4anyFourth nameserver
-
owneranyOwner of the hosting
-
packageanyHosting package type
-
lws_domainanyWhether the domain has been bought at LWS.fr or not
-
autorenewobjectInformations about the auto renewal of the domain
-
paymentstring -
accountstring
314
Domain not found on the account
314 is not a registered HTTP status code. It is specific to this API.
{
"code": 314,
"info": "Provided domain has not been found on your account. You must own this domain to manage it."
}
Response fields 2
-
codeinteger -
infostring
400
Invalid input
{
"code": 400,
"info": "No hosting provided",
"data": []
}
Response fields 3
-
codeinteger -
infostring -
dataany[]
401
Unauthorized - Missing authentication headers
{
"code": 401,
"info": "Unauthorized access to the API. Please specify X-Auth-Pass and X-Auth-Login to proceed."
}
Response fields 2
-
codeinteger -
infostring
429
Rate limit exceeded
{
"code": 429,
"info": "Rate limit exceeded. Please try again later."
}
Response fields 2
-
codeinteger -
infostring
500
Internal Server Error
{
"code": 500,
"info": "Internal Server Error",
"data": "Error message"
}
Response fields 3
-
codeinteger -
infostring -
datastring
502
Bad Gateway
{
"code": 502,
"info": "Invalid response from upstream server",
"data": []
}
Response fields 3
-
codeinteger -
infostring -
dataobject